weixin_39670545
2021-01-11 18:32 阅读 11

Build failure with the flatpak SDK GNOME 3.32

Describe the bug Build failure with the flatpak SDK GNOME 3.32

To Reproduce Steps to reproduce the behavior: 1. Checkout the flatpak build. Use my fork https://github.com/hfiguiere/org.darktable.Darktable.git and checkout the beta branch: 2. Start the build with flatpak-builder --ccache --force-clean darktable org.darktable.Darktable.json 3. Wait that it stops with a failure 4. See error:


========================================================================
Building module darktable in /home/hub/source/org.darktable.Darktable/.flatpak-builder/build/darktable-8
========================================================================
Applying patch add-rating-and-releases.patch
patching file data/darktable.appdata.xml.in
Hunk #1 succeeded at 57 (offset 6 lines).
CMake Deprecation Warning at CMakeLists.txt:5 (cmake_policy):
  The OLD behavior for policy CMP0048 will be removed from a future version
  of CMake.

  The cmake-policies(7) manual explains that the OLD behaviors of all
  policies are deprecated and that a policy should be set to OLD only under
  specific short-term circumstances.  Projects should be ported to the NEW
  behavior and not rely on setting a policy to OLD.


-- The CXX compiler identification is GNU 8.3.0
-- The C compiler identification is GNU 8.3.0
-- Check for working CXX compiler: /run/ccache/bin/c++
-- Check for working CXX compiler: /run/ccache/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /run/ccache/bin/cc
-- Check for working C compiler: /run/ccache/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Found OpenMP_C: -fopenmp (found suitable version "4.5", minimum required is "4.0") 
-- Found OpenMP_CXX: -fopenmp (found suitable version "4.5", minimum required is "4.0") 
-- Found OpenMP: TRUE (found suitable version "4.5", minimum required is "4.0")  
-- Performing Test HAVE_OMP_FIRSTPRIVATE_WITH_CONST
-- Performing Test HAVE_OMP_FIRSTPRIVATE_WITH_CONST - Success
-- Performing Test IS_SUPPORTED_PLATFORM
-- Performing Test IS_SUPPORTED_PLATFORM - Success
-- Is the target platform supported: 1
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian
-- Found little endian system. Good.
-- Performing Test _MSSE2
-- Performing Test _MSSE2 - Success
-- Building SSE2-optimized codepaths: ON
-- Performing Test C_COMPILER_UNDERSTANDS_-Wall
-- Performing Test C_COMPILER_UNDERSTANDS_-Wall - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wall
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wall - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wformat
-- Performing Test C_COMPILER_UNDERSTANDS_-Wformat - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wformat
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wformat - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wformat-security
-- Performing Test C_COMPILER_UNDERSTANDS_-Wformat-security - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wformat-security
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wformat-security - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wshadow
-- Performing Test C_COMPILER_UNDERSTANDS_-Wshadow - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wshadow
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wshadow - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wtype-limits
-- Performing Test C_COMPILER_UNDERSTANDS_-Wtype-limits - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wtype-limits
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wtype-limits - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wvla
-- Performing Test C_COMPILER_UNDERSTANDS_-Wvla - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wvla
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wvla - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wold-style-declaration
-- Performing Test C_COMPILER_UNDERSTANDS_-Wold-style-declaration - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wold-style-declaration
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wold-style-declaration - Failed
-- Performing Test C_COMPILER_UNDERSTANDS_-Wthread-safety
-- Performing Test C_COMPILER_UNDERSTANDS_-Wthread-safety - Failed
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wthread-safety
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wthread-safety - Failed
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-unknown-pragmas
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-unknown-pragmas - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-unknown-pragmas
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-unknown-pragmas - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-error=varargs
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-error=varargs - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-error=varargs
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-error=varargs - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-format-truncation
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-format-truncation - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-format-truncation
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-format-truncation - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-error=address-of-packed-member
-- Performing Test C_COMPILER_UNDERSTANDS_-Wno-error=address-of-packed-member - Failed
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-error=address-of-packed-member
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wno-error=address-of-packed-member - Failed
-- Performing Test C_COMPILER_UNDERSTANDS_-Wframe-larger-than=32768
-- Performing Test C_COMPILER_UNDERSTANDS_-Wframe-larger-than=32768 - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wframe-larger-than=32768
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wframe-larger-than=32768 - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wstack-usage=32768
-- Performing Test C_COMPILER_UNDERSTANDS_-Wstack-usage=32768 - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wstack-usage=32768
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wstack-usage=32768 - Success
-- Performing Test C_COMPILER_UNDERSTANDS_-Wlarger-than=524288
-- Performing Test C_COMPILER_UNDERSTANDS_-Wlarger-than=524288 - Success
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wlarger-than=524288
-- Performing Test CXX_COMPILER_UNDERSTANDS_-Wlarger-than=524288 - Success
-- Looking for external programs
-- Found perl
-- Found intltool-merge
-- Found desktop-file-validate
-- Test-compilation of OpenCL programs is disabled.
-- Missing jsonschema, problems in noiseprofiles.json might go unnoticed
-- Found xsltproc
-- Found xmllint
-- All external programs found
-- Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1") 
-- Found msgfmt to convert .po file. Translation enabled
-- Performing Test RAWSPEED_CXX_DEBUG_INFO_FOR_AUTO_IS_SUPPORTED
-- Performing Test RAWSPEED_CXX_DEBUG_INFO_FOR_AUTO_IS_SUPPORTED - Success
-- Checking for -mtune=generic support
-- Performing Test MTUNEGENERIC
-- Performing Test MTUNEGENERIC - Success
-- Checking for -mtune=generic support - works
-- Checking for -std=c++14 support
-- Performing Test COMPILER_SUPPORTS_CXX14
-- Performing Test COMPILER_SUPPORTS_CXX14 - Success
-- Checking for -std=c++14 support - works
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WALL
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WALL - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WEXTRA
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WEXTRA - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WCAST_QUAL
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WCAST_QUAL - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WEXTRA_SEMI
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WEXTRA_SEMI - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WFORMAT_2
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WFORMAT_2 - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WMISSING_PROTOTYPES
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WMISSING_PROTOTYPES - Failed
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WOLD_STYLE_CASTS
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WOLD_STYLE_CASTS - Failed
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WPOINTER_ARITH
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WPOINTER_ARITH - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WSTRICT_PROTOTYPES
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WSTRICT_PROTOTYPES - Failed
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WTRADITIONAL
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WTRADITIONAL - Failed
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WVLA
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WVLA - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WMISSING_FORMAT_ATTRIBUTE
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WMISSING_FORMAT_ATTRIBUTE - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WSUGGEST_ATTRIBUTE_FORMAT
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WSUGGEST_ATTRIBUTE_FORMAT - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WNO_UNUSED_PARAMETER
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WNO_UNUSED_PARAMETER - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WSTACK_USAGE_4096
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WSTACK_USAGE_4096 - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WFRAME_LARGER_THAN_4096
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WFRAME_LARGER_THAN_4096 - Success
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WLARGER_THAN_32768
-- Performing Test RAWSPEED_HAVE_CXX_FLAG_WLARGER_THAN_32768 - Success
-- Looking for OpenMP
-- Found OpenMP_C: -fopenmp (found suitable version "4.5", minimum required is "4.0") 
-- Found OpenMP_CXX: -fopenmp (found suitable version "4.5", minimum required is "4.0") 
-- Looking for OpenMP - found (system)
-- Looking for pugixml
-- Found Pugixml 1.10
-- Looking for pugixml - found (system)
-- Looking for JPEG
-- Found JPEG: /usr/lib/x86_64-linux-gnu/libjpeg.so (found suitable version "62", minimum required is "1.5.0") 
-- Looking for JPEG - found
-- Looking for jpeg_mem_src
-- Looking for jpeg_mem_src - found
-- Looking for ZLIB
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found suitable version "1.2.11", minimum required is "1.2.11") 
-- Looking for C++ include zlib.h
-- Looking for C++ include zlib.h - found
-- Check size of uLongf
-- Check size of uLongf - done
-- Looking for Z_OK
-- Looking for Z_OK - found
-- Checking prototype uncompress for HAVE_ZLIB_UNCOMPRESS_PROTOTYPE - True
-- Checking prototype zError for HAVE_ZLIB_ZERROR_PROTOTYPE - True
-- Looking for uncompress
-- Looking for uncompress - found
-- Looking for zError
-- Looking for zError - found
-- Looking for ZLIB - found (system)
-- Looking for malloc
-- Looking for malloc - found
-- Looking for free
-- Looking for free - found
-- Looking for posix_memalign
-- Looking for posix_memalign - found
-- Performing Test HAVE_CXX_THREAD_LOCAL
-- Performing Test HAVE_CXX_THREAD_LOCAL - Success
-- Found XMLLINT: /usr/bin/xmllint  
-- The following features have been enabled:

 * OpenMP-based threading, used for parallelization of the library
 * XML reading, used for loading of data/cameras.xml
 * Lossy JPEG decoding, used for DNG Lossy JPEG compression decoding
 * ZLIB decoding, used for DNG Deflate compression decoding

-- The following OPTIONAL packages have been found:

 * Gettext
 * XMLLINT, command line XML tool, <http:></http:>
   Used for validation of data/cameras.xml

-- The following RECOMMENDED packages have been found:

 * JPEG (required version >= 1.5.0), free library for handling the JPEG image data format, implements a JPEG codec
   Used for decoding DNG Lossy JPEG compression
 * ZLIB (required version >= 1.2.11), software library used for data compression
   Used for decoding DNG Deflate compression

-- The following REQUIRED packages have been found:

 * OpenMP (required version >= 4.0), Open Multi-Processing, <https:></https:>
   Used for parallelization of the library
 * Pugixml (required version >= 1.8), Light-weight, simple and fast XML parser, <http:></http:>
   Used for loading of data/cameras.xml

-- Performing Test COMPILER_SUPPORTS_C99
-- Performing Test COMPILER_SUPPORTS_C99 - Success
-- Performing Test COMPILER_SUPPORTS_C11
-- Performing Test COMPILER_SUPPORTS_C11 - Success
-- Checking for -std=c++14 support
-- Checking for -std=c++14 support - works
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Found Glib 2.60.7
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.6.0") 
-- Checking for module 'gtk+-3.0'
--   Found gtk+-3.0, version 3.24.13
-- Found GTK3: /usr/include/gtk-3.0;/usr/include/pango-1.0;/usr/include/glib-2.0;/usr/lib/x86_64-linux-gnu/glib-2.0/include;/usr/lib/x86_64-linux-gnu/libffi-3.2.1/include;/usr/include/fribidi;/usr/include/cairo;/usr/include/pixman-1;/usr/include/freetype2;/usr/include/libpng16;/usr/include/harfbuzz;/usr/include/gdk-pixbuf-2.0;/usr/include/libmount;/usr/include/blkid;/usr/include/uuid;/usr/include/gio-unix-2.0;/usr/include/libdrm;/usr/include/atk-1.0;/usr/include/at-spi2-atk/2.0;/usr/include/at-spi-2.0;/usr/include/dbus-1.0;/usr/lib/x86_64-linux-gnu/dbus-1.0/include (Required is at least version "3.22") 
-- Found LibXml2: /usr/lib/x86_64-linux-gnu/libxml2.so (found suitable version "2.9.9", minimum required is "2.6") 
-- Checking for one of the modules 'libsoup-2.4;libsoup2'
-- Checking for one of the modules 'libsoup-2.2;libsoup2'
-- Found GPHOTO2: /app/lib/libgphoto2.so  
-- Found OPENEXR: /app/lib/libIlmImf.so;/app/lib/libImath.so;/app/lib/libIex.so;/app/lib/libIlmThread.so  
-- Found WEBP: /usr/lib/x86_64-linux-gnu/libwebp.so (Required is at least version "0.3.0") 
-- Found LENSFUN: /app/lib/liblensfun.so  
-- Found GIO 
-- Found GThread: /usr/lib/x86_64-linux-gnu/libgthread-2.0.so  
-- Found GModule: /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so  
-- Found PANGOCAIRO: /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so  
-- Found RSVG2: /usr/lib/x86_64-linux-gnu/librsvg-2.so  
-- Found LibXml2: /usr/lib/x86_64-linux-gnu/libxml2.so (found version "2.9.9") 
-- Found Sqlite3 3.27.2
-- Found CURL: /usr/lib/x86_64-linux-gnu/libcurl.so (found version "7.65.3-DEV") 
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.11") 
-- Found PNG: /usr/lib/x86_64-linux-gnu/libpng.so (found version "1.6.37") 
-- Found JPEG: /usr/lib/x86_64-linux-gnu/libjpeg.so (found version "62") 
-- Found TIFF: /usr/lib/x86_64-linux-gnu/libtiff.so (found version "4.0.10") 
-- Found LCMS2: /usr/lib/x86_64-linux-gnu/liblcms2.so  
-- Found JsonGlib 
-- Found EXIV2: /app/lib/libexiv2.so  
-- Could NOT find FLICKCURL (missing: FLICKCURL_LIBRARY FLICKCURL_INCLUDE_DIR) 
-- Found OpenJPEG 
-- Checking for module 'iso-codes'
--   Found iso-codes, version 4.2
-- Found LIBSECRET: /usr/include/libsecret-1;/usr/include/glib-2.0;/usr/lib/x86_64-linux-gnu/glib-2.0/include;/usr/lib/x86_64-linux-gnu/libffi-3.2.1/include;/usr/include/libmount;/usr/include/blkid;/usr/include/uuid  
-- Found GraphicsMagick 
-- Performing Test HAVE_BUILTIN_CPU_SUPPORTS
-- Performing Test HAVE_BUILTIN_CPU_SUPPORTS - Success
-- Does the compiler support __builtin_cpu_supports(): 1
-- Performing Test HAVE_TLS
-- Performing Test HAVE_TLS - Success
-- Checking for -mtune=generic support
-- Checking for one of the modules 'lua53;lua5.3;lua-5.3;lua'
-- Lua support: Enabled
-- Found Pugixml 1.10
-- Map mode: enabled
-- Found Cups: /usr/lib/x86_64-linux-gnu/libcups.so (found version "2.2.11") 
-- Print mode: enabled
-- Found CURL: /usr/lib/x86_64-linux-gnu/libcurl.so (found suitable version "7.65.3-DEV", minimum required is "7.56") 
-- Found recent CURL version to build piwigo.
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- building darktable-cmstest with colord support. nice.
CMake Warning at doc/CMakeLists.txt:37 (message):
  the sources of the usermanual are missing so you won't be able to generate
  it.  if this is a release tarball then that's normal.

  please grab them from github if you want to work on the manual.


Missing po4a-translate. Can NOT create translated manpages
Missing po4a-updatepo. Can NOT update manpage translations
-- Configuring done
-- Generating done
-- Build files have been written to: /run/build/darktable/_flatpak_build
[2/668] Generating src/version_gen.c

[3/668] Building hu locale
2432 translated messages, 304 fuzzy translations, 319 untranslated messages.
[4/668] Building zh_CN locale
1621 translated messages, 557 fuzzy translations, 877 untranslated messages.
[5/668] Building it locale
2236 translated messages, 385 fuzzy translations, 434 untranslated messages.
[6/668] Building ca locale
2567 translated messages, 257 fuzzy translations, 231 untranslated messages.
[7/668] Building th locale
/run/build/darktable/po/th.po:6: warning: header field 'Language' still has the initial default value
420 translated messages, 485 fuzzy translations, 2150 untranslated messages.
[8/668] Building es locale
3056 translated messages.
[9/668] Building cs locale
3056 translated messages.
[10/668] Building fr locale
3055 translated messages, 1 untranslated message.
[11/668] Building ja locale
2436 translated messages, 307 fuzzy translations, 312 untranslated messages.
[12/668] Building gl locale
/run/build/darktable/po/gl.po:2: warning: header field 'Language' still has the initial default value
311 translated messages, 1166 fuzzy translations, 1578 untranslated messages.
[13/668] Building nl locale
3057 translated messages.
[14/668] Building fi locale
2826 translated messages, 116 fuzzy translations, 114 untranslated messages.
[15/668] Building el locale
1923 translated messages, 524 fuzzy translations, 608 untranslated messages.
[16/668] Building sq locale
1690 translated messages, 639 fuzzy translations, 726 untranslated messages.
[17/668] Building de locale
2787 translated messages, 150 fuzzy translations, 118 untranslated messages.
[18/668] Building da locale
2144 translated messages, 420 fuzzy translations, 491 untranslated messages.
[19/668] Building ro locale
/run/build/darktable/po/ro.po:2: warning: header field 'Language' still has the initial default value
545 translated messages, 1141 fuzzy translations, 1369 untranslated messages.
[20/668] Building pt_PT locale
1557 translated messages, 703 fuzzy translations, 795 untranslated messages.
[21/668] Building af locale
81 translated messages, 120 fuzzy translations, 2854 untranslated messages.
[22/668] Building sk locale
2214 translated messages, 298 fuzzy translations, 544 untranslated messages.
[23/668] Building sl locale
3056 translated messages.
[24/668] Building ru locale
3056 translated messages.
[25/668] Building sv locale
2509 translated messages, 277 fuzzy translations, 269 untranslated messages.
[26/668] Building he locale
3056 translated messages.
[27/668] Building uk locale
2147 translated messages, 418 fuzzy translations, 490 untranslated messages.
[28/668] Building pl locale
3056 translated messages.
[29/668] Building nb locale
2560 translated messages, 257 fuzzy translations, 238 untranslated messages.
[30/668] Building pt_BR locale
2588 translated messages, 267 fuzzy translations, 200 untranslated messages.
[32/668] Checking validity of cameras.xml
/run/build/darktable/src/external/rawspeed/data/cameras.xml validates
[118/668] Generating darktable.desktop
Merging translations into /run/build/darktable/_flatpak_build/data/darktable.desktop.
[119/668] Generating darktable.appdata.xml
Merging translations into /run/build/darktable/_flatpak_build/data/darktable.appdata.xml.
CREATED /run/build/darktable/_flatpak_build/data/darktable.appdata.xml
[168/668] Building C object src/CMakeFiles/lib_darktable.dir/common/iop_order.c.o
FAILED: src/CMakeFiles/lib_darktable.dir/common/iop_order.c.o 
/run/ccache/bin/cc -DGDK_DISABLE_DEPRECATED -DGDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_22 -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_MIN_REQUIRED -DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_40 -DGTK_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDES -DHAVE_BUILTIN_CPU_SUPPORTS -DHAVE_CONFIG_H -DHAVE_GPHOTO2 -DHAVE_GPHOTO_25_OR_NEWER -DHAVE_GRAPHICSMAGICK -DHAVE_HTTP_SERVER -DHAVE_ISO_CODES -DHAVE_KWALLET -DHAVE_LENSFUN -DHAVE_LIBSECRET -DHAVE_MAP -DHAVE_OPENCL -DHAVE_OPENEXR -DHAVE_OPENJPEG -DHAVE_OSMGPSMAP_110_OR_NEWER -DHAVE_PRINT -DUSE_COLORDGTK -DUSE_LUA -D_RELEASE -D_XOPEN_SOURCE=700 -D__GDK_KEYSYMS_COMPAT_H__ -Dlib_darktable_EXPORTS -I../src -Isrc -I../src/external/LuaAutoC -Isrc/external/rawspeed/src -I../src/external/rawspeed/src/librawspeed -isystem ../src/external -isystem /usr/include/glib-2.0 -isystem /usr/lib/x86_64-linux-gnu/glib-2.0/include -isystem /usr/include/gtk-3.0 -isystem /usr/include/pango-1.0 -isystem /usr/lib/x86_64-linux-gnu/libffi-3.2.1/include -isystem /usr/include/fribidi -isystem /usr/include/cairo -isystem /usr/include/pixman-1 -isystem /usr/include/freetype2 -isystem /usr/include/libpng16 -isystem /usr/include/harfbuzz -isystem /usr/include/gdk-pixbuf-2.0 -isystem /usr/include/libmount -isystem /usr/include/blkid -isystem /usr/include/uuid -isystem /usr/include/gio-unix-2.0 -isystem /usr/include/libdrm -isystem /usr/include/atk-1.0 -isystem /usr/include/at-spi2-atk/2.0 -isystem /usr/include/at-spi-2.0 -isystem /usr/include/dbus-1.0 -isystem /usr/lib/x86_64-linux-gnu/dbus-1.0/include -isystem /usr/include/libxml2 -isystem /usr/include/libsoup-2.4 -isystem /app/include -isystem /app/include/OpenEXR -isystem /app/include/lensfun -isystem /usr/include/librsvg-2.0 -isystem /usr/include/json-glib-1.0 -isystem /usr/include/openjpeg-2.3 -isystem /usr/include/libsecret-1 -isystem /app/include/GraphicsMagick -isystem /app/include/osmgpsmap-1.0 -isystem /app/include/colord-1 -isystem ../src/external/rawspeed/src/external -march=x86-64 -mtune=generic -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -O2 -O2 -std=c99 -Wall -Wformat -Wformat-security -Wshadow -Wtype-limits -Wvla -Wold-style-declaration -Wno-unknown-pragmas -Wno-error=varargs -Wno-format-truncation -Wframe-larger-than=32768 -Wstack-usage=32768 -Wlarger-than=524288 -std=c99 -fopenmp -mtune=generic -msse2 -g -mfpmath=sse -O2 -g -DNDEBUG -O2 -fPIC -MD -MT src/CMakeFiles/lib_darktable.dir/common/iop_order.c.o -MF src/CMakeFiles/lib_darktable.dir/common/iop_order.c.o.d -o src/CMakeFiles/lib_darktable.dir/common/iop_order.c.o   -c ../src/common/iop_order.c
../src/common/iop_order.c: In function ‘_ioppr_get_iop_order_v1’:
../src/common/iop_order.c:412:15: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static GList *_ioppr_get_iop_order_v1()
               ^~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_transform_from_to_rgb_lab_lcms2._omp_fn.5’:
../src/common/iop_order.c:1926:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_transform_from_to_rgb_lab_lcms2’:
../src/common/iop_order.c:1865:13: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static void _transform_from_to_rgb_lab_lcms2(const float *const image_in, float *const image_out, const int width,
             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_transform_matrix_rgb._omp_fn.7’:
../src/common/iop_order.c:2284:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_transform_rgb_to_rgb_lcms2._omp_fn.8’:
../src/common/iop_order.c:2025:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_ioppr_move_iop_before.part.9’:
../src/common/iop_order.c:644:13: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static void _ioppr_move_iop_before(GList **_iop_order_list, const char *op_current, const char *op_next, const int dont_move)
             ^~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_ioppr_move_iop_after.part.10’:
../src/common/iop_order.c:722:13: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static void _ioppr_move_iop_after(GList **_iop_order_list, const char *op_current, const char *op_prev, const int dont_move)
             ^~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_transform_lab_to_rgb_matrix._omp_fn.4’:
../src/common/iop_order.c:2225:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_transform_rgb_to_lab_matrix._omp_fn.0’:
../src/common/iop_order.c:2183:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_transform_matrix_rgb._omp_fn.6’:
../src/common/iop_order.c:2267:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_transform_rgb_to_lab_matrix._omp_fn.1’:
../src/common/iop_order.c:2198:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_apply_tonecurves._omp_fn.2’:
../src/common/iop_order.c:2132:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘_apply_tonecurves._omp_fn.3’:
../src/common/iop_order.c:2148:9: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 #pragma omp parallel for simd default(none) \
         ^~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_iop_order_rules’:
../src/common/iop_order.c:375:8: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 GList *dt_ioppr_get_iop_order_rules()
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_iop_order_entry’:
../src/common/iop_order.c:506:23: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 dt_iop_order_entry_t *dt_ioppr_get_iop_order_entry(GList *iop_order_list, const char *op_name)
                       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_ioppr_insert_iop_before’:
../src/common/iop_order.c:542:13: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static void _ioppr_insert_iop_before(GList **_iop_order_list, GList *history_list, const char *op_new, const char *op_next, const int check_history)
             ^~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_ioppr_insert_iop_after’:
../src/common/iop_order.c:615:13: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static void _ioppr_insert_iop_after(GList **_iop_order_list, GList *history_list, const char *op_new, const char *op_prev, const int check_history)
             ^~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_ioppr_legacy_iop_order_step’:
../src/common/iop_order.c:85:12: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static int _ioppr_legacy_iop_order_step(GList **_iop_order_list, GList *history_list, const int old_version, const int dont_move)
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_iop_order_list’:
../src/common/iop_order.c:753:8: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 GList *dt_ioppr_get_iop_order_list(int *_version)
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘_ioppr_migrate_iop_order’:
../src/common/iop_order.c:1570:12: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 static int _ioppr_migrate_iop_order(const int imgid, const int current_iop_order_version, const int new_iop_order_version)
            ^~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_set_default_iop_order’:
../src/common/iop_order.c:777:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_set_default_iop_order(GList **_iop_list, GList *iop_order_list)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_check_duplicate_iop_order’:
../src/common/iop_order.c:831:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_check_duplicate_iop_order(GList **_iop_list, GList *history_list)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_legacy_iop_order’:
../src/common/iop_order.c:932:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_legacy_iop_order(GList **_iop_list, GList **_iop_order_list, GList *history_list, const int _old_version)
      ^~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_check_so_iop_order’:
../src/common/iop_order.c:973:5: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 int dt_ioppr_check_so_iop_order(GList *iop_list, GList *iop_order_list)
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_iop_order_before_iop’:
../src/common/iop_order.c:1023:8: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 double dt_ioppr_get_iop_order_before_iop(GList *iop_list, dt_iop_module_t *module, dt_iop_module_t *module_next,
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_iop_order_after_iop’:
../src/common/iop_order.c:1243:8: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 double dt_ioppr_get_iop_order_after_iop(GList *iop_list, dt_iop_module_t *module, dt_iop_module_t *module_prev,
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_check_db_integrity’:
../src/common/iop_order.c:1333:5: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 int dt_ioppr_check_db_integrity()
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_print_module_iop_order’:
../src/common/iop_order.c:1380:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_print_module_iop_order(GList *iop_list, const char *msg)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_print_history_iop_order’:
../src/common/iop_order.c:1393:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_print_history_iop_order(GList *history_list, const char *msg)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_print_iop_order’:
../src/common/iop_order.c:1406:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_print_iop_order(GList *iop_order_list, const char *msg)
      ^~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_check_iop_order’:
../src/common/iop_order.c:1739:5: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 int dt_ioppr_check_iop_order(dt_develop_t *dev, const int imgid, const char *msg)
     ^~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_init_profile_info’:
../src/common/iop_order.c:2340:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_init_profile_info(dt_iop_order_iccprofile_info_t *profile_info, const int lutsize)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_cleanup_profile_info’:
../src/common/iop_order.c:2363:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_cleanup_profile_info(dt_iop_order_iccprofile_info_t *profile_info)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_profile_info_from_list’:
../src/common/iop_order.c:2472:33: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 dt_iop_order_iccprofile_info_t *dt_ioppr_get_profile_info_from_list(struct dt_develop_t *dev, const int profile_type, const char *profile_filename)
                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_add_profile_info_to_list’:
../src/common/iop_order.c:2491:33: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 dt_iop_order_iccprofile_info_t *dt_ioppr_add_profile_info_to_list(struct dt_develop_t *dev, const int profile_type, const char *profile_filename, const int intent)
                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_work_profile_type’:
../src/common/iop_order.c:2588:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_get_work_profile_type(struct dt_develop_t *dev, int *profile_type, char **profile_filename)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_iop_work_profile_info’:
../src/common/iop_order.c:2512:33: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 dt_iop_order_iccprofile_info_t *dt_ioppr_get_iop_work_profile_info(struct dt_iop_module_t *module, GList *iop_list)
                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_export_profile_type’:
../src/common/iop_order.c:2637:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_get_export_profile_type(struct dt_develop_t *dev, int *profile_type, char **profile_filename)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_profile_info_cl’:
../src/common/iop_order.c:3017:6: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 void dt_ioppr_get_profile_info_cl(const dt_iop_order_iccprofile_info_t *const profile_info, dt_colorspaces_iccprofile_info_cl_t *profile_info_cl)
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../src/common/iop_order.c: In function ‘dt_ioppr_get_trc_cl’:
../src/common/iop_order.c:3037:11: sorry, unimplemented: Graphite loop optimizations cannot be used (isl is not available).
 cl_float *dt_ioppr_get_trc_cl(const dt_iop_order_iccprofile_info_t *const profile_info)
           ^~~~~~~~~~~~~~~~~~~
[171/668] Building C object src/CMakeFiles/lib_darktable.dir/common/locallaplacian.c.o
ninja: build stopped: subcommand failed.
Error: module darktable: Child process exited with code 1

Expected behavior I expect: That either CMake fail finding the build requirements OR That the build passes

Platform (please complete the following information): - OS: Flatpak GNOME SDK 3.32 - Version 3.0.0-rc2 (also with rc0)

Additional context I can help checking manually for requirement if you need. I just have no idea what that error is from.

该提问来源于开源项目:darktable-org/darktable

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

6条回答 默认 最新

  • weixin_39761655 weixin_39761655 2021-01-11 18:32

    That will be easy to help here (but not to resolve your problem): you explain nothing (except a failure but there could be hundreds of them and for hundreds reasons) and darktable team doesn't make any flatpak packages... So probably to be closed on state...

    点赞 评论 复制链接分享
  • weixin_39670545 weixin_39670545 2021-01-11 18:32

    sorry, apparently github ate the whole description of the bug.

    点赞 评论 复制链接分享
  • weixin_39670545 weixin_39670545 2021-01-11 18:32

    I have now updated the description to what it should have been before github ate away,

    Let me know if you need me to perform checks.

    BTW from the initial filing and this, I moved back to the 3.32 SDK which is the one used to build the 2.6.3 flatpak.

    点赞 评论 复制链接分享
  • weixin_39926639 weixin_39926639 2021-01-11 18:32

    You need a compiler with graphite support enabled apparently. Nothing to fix on darktable's side. Though I guess some cmake test should be added.

    点赞 评论 复制链接分享
  • weixin_39670545 weixin_39670545 2021-01-11 18:32

    yes a test in cmake would be more than useful.

    点赞 评论 复制链接分享
  • weixin_39670545 weixin_39670545 2021-01-11 18:32

    3.0.0 still doesn't try to detect this in the configure step.

    点赞 评论 复制链接分享

相关推荐